#include "locateinfo.h"

void getindexsuffix (const text_t &index,
		     const text_t &collection,
		     text_t &ttidxsuffix)
{
  ttidxsuffix = "collect";

#ifdef __WIN32__
  ttidxsuffix += "\\";
#else
  ttidxsuffix += "/";
#endif

  ttidxsuffix += collection;

#ifdef __WIN32__
  ttidxsuffix += "\\index\\";
#else
  ttidxsuffix += "/index/";
#endif

//           ttidxsuffix += collection; //this changed with new build software
  ttidxsuffix += index;
#ifdef __WIN32__
  ttidxsuffix += "\\";
#else
  ttidxsuffix += "/";
#endif
  ttidxsuffix += collection;
}

void gettextsuffix (const text_t &collection, 
		    text_t &tttxtsuffix)
{
  tttxtsuffix = "collect";

#ifdef __WIN32__
  tttxtsuffix += "\\";
#else
  tttxtsuffix += "/";
#endif

  tttxtsuffix += collection;

#ifdef __WIN32__
  tttxtsuffix += "\\index\\";
#else
  tttxtsuffix += "/index/";
#endif

//                tttxtsuffix += collection; // path changed with new building software - Stefan.
  tttxtsuffix += "text";
#ifdef __WIN32__
  tttxtsuffix += "\\";
#else
  tttxtsuffix += "/";
#endif
  tttxtsuffix += collection;
}
